Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface DerivationControl

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlNMTOKEN`, `XmlNormalizedString`, `XmlObject`, `XmlString`, `XmlToken`, `XmlTokenSource`
  All Known Subinterfaces:
    `BlockSet.Member2.Item`, `ReducedDerivationControl`, `SimpleDerivationSet.Member2.Item`, `TypeDerivationControl`
  All Known Implementing Classes:
    `BlockSetImpl.MemberImpl2.ItemImpl`, `DerivationControlImpl`, `ReducedDerivationControlImpl`, `SimpleDerivationSetImpl.MemberImpl2.ItemImpl`, `TypeDerivationControlImpl`

      public interface DerivationControl
      extends XmlNMTOKEN

  An XML derivationControl(@http://www.w3.org/2001/XMLSchema). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `DerivationControl.Enum` | Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DerivationControl.Enum` | `EXTENSION` |
    `static SimpleTypeFactory<DerivationControl>` | `Factory` |
    `static int` | `INT_EXTENSION` |
    `static int` | `INT_LIST` |
    `static int` | `INT_RESTRICTION` |
    `static int` | `INT_SUBSTITUTION` |
    `static int` | `INT_UNION` |
    `static DerivationControl.Enum` | `LIST` |
    `static DerivationControl.Enum` | `RESTRICTION` |
    `static DerivationControl.Enum` | `SUBSTITUTION` |
    `static SchemaType` | `type` |
    `static DerivationControl.Enum` | `UNION` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StringEnumAbstractBase` | `getEnumValue()` |
    `void` | `setEnumValue​(StringEnumAbstractBase e)` |

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final SimpleTypeFactory<DerivationControl> Factory

    - #### type

          static final SchemaType type

    - #### SUBSTITUTION

          static final DerivationControl.Enum SUBSTITUTION

    - #### EXTENSION

          static final DerivationControl.Enum EXTENSION

    - #### RESTRICTION

          static final DerivationControl.Enum RESTRICTION

    - #### LIST

          static final DerivationControl.Enum LIST

    - #### UNION

          static final DerivationControl.Enum UNION

    - #### INT_SUBSTITUTION

          static final int INT_SUBSTITUTION

      See Also:
        Constant Field Values

    - #### INT_EXTENSION

          static final int INT_EXTENSION

      See Also:
        Constant Field Values

    - #### INT_RESTRICTION

          static final int INT_RESTRICTION

      See Also:
        Constant Field Values

    - #### INT_LIST

          static final int INT_LIST

      See Also:
        Constant Field Values

    - #### INT_UNION

          static final int INT_UNION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnumValue

          StringEnumAbstractBase getEnumValue()

    - #### setEnumValue

          void setEnumValue​(StringEnumAbstractBase e)